'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _s3ListObjectsFixtures = require('./s3ListObjectsFixtures');

var _s3ListObjectsFixtures2 = _interopRequireDefault(_s3ListObjectsFixtures);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mockGetObjectResponse = {
  AcceptRanges: 'bytes',
  LastModified: '2018-06-14T10:16:01.000Z',
  ContentLength: 498603,
  ETag: '"96fd5c5b6f03dd5fa95a5eb9dbf21fb2"',
  ContentType: 'image/png',
  Metadata: {},
  Body: 'buffer obj'
};

class S3 {
  listObjectsV2() {
    return { promise: () => Promise.resolve(_s3ListObjectsFixtures2.default) };
  }

  deleteObjects(params) {
    return { promise: () => Promise.resolve(params.Delete.Objects) };
  }

  getObject(params, callback) {
    callback(null, mockGetObjectResponse);
  }

  putObject(config) {
    return { promise: () => Promise.resolve(config) };
  }
}
exports.default = S3;