'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isEqual = (imageData, looksSame) => looksSame(imageData.baseline, imageData.latest, {
  tolerance: imageData.tolerance,
  ignoreCaret: true,
  ignoreAntialiasing: true
}).then(equal => {
  if (equal) {
    _logger2.default.info('comparer', `✅ Passed: ${imageData.label}`);
  } else {
    _logger2.default.info('comparer', `☠️ Failed: ${imageData.label}`);
  }
  return equal;
}).catch(error => {
  _logger2.default.error('comparer', error);
});

exports.default = isEqual;