'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _scenarioValidator = require('./scenarioValidator');

var _scenarioValidator2 = _interopRequireDefault(_scenarioValidator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const comparisonDataConstructor = (fs, config) => new Promise(async resolve => {
  const comparisonData = [];
  config.scenarios.forEach(scenario => {
    (0, _scenarioValidator2.default)(scenario);

    scenario.viewports.forEach(viewport => {
      const baselinePath = `${config.baseline}/${scenario.label}-${viewport.label}.png`;
      const latestPath = `${config.latest}/${scenario.label}-${viewport.label}.png`;
      const generatedDiffsPath = `${config.generatedDiffs}/${scenario.label}-${viewport.label}.png`;

      if (!fs.existsSync(latestPath) || !fs.existsSync(baselinePath)) {
        _logger2.default.error('comparison data construction', `File not present, please check both ${baselinePath} and ${latestPath} exist`);
        process.exit(1);
      }

      comparisonData.push({
        label: `${scenario.label}-${viewport.label}`,
        baseline: baselinePath,
        latest: latestPath,
        generatedDiffs: generatedDiffsPath,
        tolerance: scenario.tolerance ? scenario.tolerance : 0
      });
    });
  });
  resolve(comparisonData);
});

exports.default = comparisonDataConstructor;