'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createDiffImage = (imageData, createDiff) => new Promise((resolve, reject) => {
  createDiff({
    reference: imageData.baseline,
    current: imageData.latest,
    diff: `${_path2.default.resolve(imageData.generatedDiffs)}`,
    highlightColor: '#ff00ff', //color to highlight the differences
    strict: false, //strict comparsion
    tolerance: imageData.tolerance
  }, error => {
    if (error) {
      _logger2.default.error('createDiffs', '☠️   Something has gone horribly wrong generating the diff image   ☠️');
      _logger2.default.error('createDiffs', error);
      reject(error);
    }

    _logger2.default.verbose('createDiffs', `Diff generated for ${imageData.label}`);
    resolve();
  });
});

exports.default = createDiffImage;