'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.executeScriptWithDriver = executeScriptWithDriver;
exports.executeScript = executeScript;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _seleniumWebdriver = require('selenium-webdriver');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const loadFile = script => {
  if (!_fs2.default.existsSync(script)) throw new Error(`Error: Could not find the file: ${script}`);
  return require(_path2.default.resolve(script)); // eslint-disable-line
};

function executeScriptWithDriver(driver, script) {
  return executeScript(script, driver, _seleniumWebdriver.By);
}

function executeScript(script, ...params) {
  return new Promise(async (resolve, reject) => {
    try {
      const scriptToExecute = loadFile(script);
      await scriptToExecute(...params);
      resolve();
    } catch (error) {
      reject(error);
    }
  });
}