'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const questions = [{
  type: 'input',
  name: 'gridUrl',
  message: 'What is your selenium grid Url? \n  Example: http://selenium-grid:4444/wd/hub\n'
}, {
  type: 'input',
  name: 'baseline',
  message: 'Where would you like your baseline image directory? \n  Example: ./baseline\n'
}, {
  type: 'input',
  name: 'latest',
  message: 'Where would you like your latest image directory? \n  Example: ./latest\n'
}, {
  type: 'input',
  name: 'generatedDiffs',
  message: 'Where would you like your generated differences image directory? \n  Example: ./generatedDiffs\n'
}, {
  type: 'input',
  name: 'report',
  message: 'Where would you like your report directory? \n  Example: ./report\n'
}];

function init() {
  _logger2.default.info('init', '🐛 Welcome to Aye Spy 👀');
  return _inquirer2.default.prompt(questions).then(answers => {
    const dir = `${process.cwd()}/ayespy-config.json`;

    const config = Object.assign(answers, {
      scenarios: [{
        url: 'http://YOURSITE/',
        label: 'label',
        viewports: [{ height: 1500, width: 1024, label: 'large' }]
      }]
    });

    return _fs2.default.writeFile(dir, JSON.stringify(config, null, 4), 'utf8', err => {
      if (err) new Error(err);
      _logger2.default.info('init', `Aye Spy config created at: ${dir}`);
    });
  });
}

exports.default = init;