'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setupLogger = undefined;

var _npmlog = require('npmlog');

var _npmlog2 = _interopRequireDefault(_npmlog);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setupLogger = () => {
  _npmlog2.default.level = process.env.LOGLEVEL ? process.env.LOGLEVEL : 'info';
  _npmlog2.default.stream = process.stdout;
  _npmlog2.default.enableColor();
  _npmlog2.default.info('ayespy Logger', `Log level is ${_npmlog2.default.level}`);
};

exports.default = {
  info: (fileName, textToLog) => {
    _npmlog2.default.stream = process.stdout;
    _npmlog2.default.prefixStyle = { fg: 'green', bg: 'black' };
    _npmlog2.default.info(`[${fileName}] :`, textToLog);
  },
  verbose: (fileName, textToLog) => {
    _npmlog2.default.stream = process.stdout;
    _npmlog2.default.prefixStyle = { fg: 'blue' };
    _npmlog2.default.verbose(`[${fileName}] :`, textToLog);
  },
  error: (fileName, textToError) => {
    _npmlog2.default.stream = process.stderr;
    _npmlog2.default.prefixStyle = { fg: 'red' };
    _npmlog2.default.error(`[${fileName}] :`, textToError);
  }
};
exports.setupLogger = setupLogger;