'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cliProgress = require('cli-progress');

var _cliProgress2 = _interopRequireDefault(_cliProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ProgressBar {
  constructor() {
    this._cliProgress = new _cliProgress2.default.Bar({
      barsize: 65,
      stopOnComplete: true,
      stream: process.stderr,
      format: '   Progress [{bar}] {percentage}% | ETA: {eta}s | Snapped {value}/{total}'
    }, _cliProgress2.default.Presets.legacy);
    this._sizeOfProgressBar = 0;
    this._tick = 0;
  }

  setLength(length) {
    this._sizeOfProgressBar = length;
  }

  start() {
    console.log(''); // eslint-disable-line no-console // space for progress bar
    this._cliProgress.start(this._sizeOfProgressBar, 0);
  }

  tick() {
    this._tick++;
    this._cliProgress.update(this._tick);
  }

  stop() {
    this._cliProgress.stop();
    console.log(''); // eslint-disable-line no-console // space for progress bar
  }
}

exports.default = new ProgressBar();