'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (fs, config) => new Promise((resolve, reject) => {
  if (!config.baseline) reject('Please define baseline property in config');
  if (!config.latest) reject('Please define latest snapshot property in config');

  const dirPath = _path2.default.resolve(config.latest);
  const latestSnaps = fs.readdirSync(dirPath);
  if (latestSnaps.length === 0) reject(`No latest snaps found in ${dirPath}`);

  _logger2.default.info('update-baseline-shots', `Found ${latestSnaps.length} images to copy to baseline directory`);

  for (let i = 0; i < latestSnaps.length; i++) {
    const isPng = latestSnaps[i].split('.').pop() === 'png';
    if (isPng) {
      const src = _path2.default.resolve(dirPath, latestSnaps[i]);
      const destination = _path2.default.resolve(config.baseline, latestSnaps[i]);

      fs.copyFileSync(src, destination);
    }
  }

  _logger2.default.info('update-baseline-shots', 'Baseline directory updated');

  resolve();
});